Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.graphic
Interface TextAttributes

All Superinterfaces:
  GraphicAttributes

All Known Implementing Classes:
  BasicGraphicAttributes

public interface TextAttributes
extends GraphicAttributes

Interface for text attributes.

Author:
  Franz-Josef Elmer

Method Summary
`java.lang.String` | `getFontName()` Returns the font name.
`double` | `getFontSize()` Returns the font size in units of the device-independent coordinates.
`FontStyle` | `getFontStyle()` Returns the font style.
`Anchor` | `getHorizontalAnchor()` Returns the anchor for horizontal position of the text.
`double` | `getOrientationAngle()` Returns the orientation angle in degree.
`java.awt.Color` | `getTextColor()` Returns the text color.
`Anchor` | `getVerticalAnchor()` Returns the anchor for vertical position of the text.

Method Detail

### getTextColor

    public java.awt.Color getTextColor()

  Returns the text color.

  Returns:
    `null` means default color of the renderer.

### getFontName

    public java.lang.String getFontName()

  Returns the font name.

  Returns:
    `null` means default font name of the renderer.

### getFontStyle

    public FontStyle getFontStyle()

  Returns the font style.

  Returns:
    `null` means default font style of the renderer.

### getFontSize

    public double getFontSize()

  Returns the font size in units of the device-independent coordinates.

### getOrientationAngle

    public double getOrientationAngle()

  Returns the orientation angle in degree. Zero means normal text orientation. Any positive angle means a counter-clockwise rotation of the text.

### getHorizontalAnchor

    public Anchor getHorizontalAnchor()

  Returns the anchor for horizontal position of the text. Note, that the anchor is related to the text before it is rotated by the orientation angle.

  Returns:
    one of the three instances of `Anchor`.

### getVerticalAnchor

    public Anchor getVerticalAnchor()

  Returns the anchor for vertical position of the text. Note, that the anchor is related to the text before it is rotated by the orientation angle.

  Returns:
    one of the three instances of `Anchor`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD